#ifndef PACKAGE_H
#define PACKAGE_H

#pragma interface

#include "DebtagsPackages.h"

#include <string>

namespace Debtags
{

class Package
{
protected:
	const Packages& _pool;
	std::string _name;
	std::string _desc;
	std::string _ldesc;
	std::string _fulldata;
	const Packages::Maintainer* _maint;
	
public:
	Package(const Packages& pool, const std::string& name) throw ();

	const std::string& name() const throw () { return _name; }
	const Packages::Maintainer* maint() const throw () { return _maint; }
	const std::string& desc() const throw () { return _desc; }
	const std::string& ldesc() const throw () { return _ldesc; }
	const std::string& fulldata() throw ();

	const OpSet<std::string> tags() throw ()
	{
		return _pool.getTagsetForItem(this);
	}

	const std::string& desc(const std::string& desc) throw ()
	{
		return _desc = desc;
	}
	const std::string& ldesc(const std::string& ldesc) throw ()
	{
		return _ldesc = ldesc;
	}
	const Packages::Maintainer* maint(const Packages::Maintainer* maint) throw ()
	{
		return _maint = maint;
	}
};

};

// vim:set ts=3 sw=3:
#endif
